Subject: Re: bug#67836: 29.1.90; map-y-or-n-p doesn't terminate when run in a kmacro in batch mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Dec 2023 19:24:32 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 16 Dec 2023 11:55:21 -0500
> 
> >> There's a tension where fixing such problems at low-level can have
> >> longer term benefits (at the cost of backward incompatibilities), so
> >> I think the best is to start by sending a patch that fixes the problem
> >> at the place you judge to be The Right Place™.
> > There's no disagreement on this level, the disagreement is about
> > where's The Right Place™ ;-)
> 
> But before submitting the bug&patch there's no way to know that.

I think there is: look at how general the original issue is, and
compare that with the range of applications in Emacs that the
proposed solution will affect.  That is what I do, and I don't suppose
you are saying that my judgment is arbitrary.

But I'm okay if that judgment is left to me, I just thought that
understanding my considerations well enough could make the process
more efficient.  If not, so be it.

> It's best if we don't try to second guess what the other one will think
> is best.  Instead, we start by stating what we judge to be best, and
> then we can reconcile differences via discussions.

That is true, but having heard the same arguments from me N times, I
presume one can guess what I will say one the N+1st opportunity.

> > You don't think we should be able to "ding" without signaling an
> > error?
> 
> I think we should, but in practice `ding` should almost never be called
> from "normal" ELisp code.

So you think we should be able to do that in theory but not in
practice? ;-)

> >From that point of view, the fact that `ding` itself signals an error
> when used from a keyboard macro is a bit weird.

That's a feature, I believe.